CMSIS-DSP: arm_rfft_instance_f32 Struct Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_rfft_instance_f32 Struct Reference

Instance structure for the floating-point RFFT/RIFFT function.

## Data Fields
uint32_t | fftLenReal
uint16_t | fftLenBy2
uint8_t | ifftFlagR
uint8_t | bitReverseFlagR
uint32_t | twidCoefRModifier
float32_t * | pTwiddleAReal
float32_t * | pTwiddleBReal
arm_cfft_radix4_instance_f32 * | pCfft

## Field Documentation

uint8_t arm_rfft_instance_f32::bitReverseFlagR

flag that enables (bitReverseFlagR=1) or disables (bitReverseFlagR=0) bit reversal of output.

Referenced by arm_rfft_f32(), and arm_rfft_init_f32().

uint16_t arm_rfft_instance_f32::fftLenBy2

length of the complex FFT.

Referenced by arm_rfft_f32(), and arm_rfft_init_f32().

uint32_t arm_rfft_instance_f32::fftLenReal

length of the real FFT.

Referenced by arm_rfft_init_f32().

uint8_t arm_rfft_instance_f32::ifftFlagR

flag that selects forward (ifftFlagR=0) or inverse (ifftFlagR=1) transform.

Referenced by arm_rfft_f32(), and arm_rfft_init_f32().

arm_cfft_radix4_instance_f32* arm_rfft_instance_f32::pCfft

points to the complex FFT instance.

Referenced by arm_rfft_f32(), and arm_rfft_init_f32().

float32_t* arm_rfft_instance_f32::pTwiddleAReal

points to the real twiddle factor table.

Referenced by arm_rfft_f32(), and arm_rfft_init_f32().

float32_t* arm_rfft_instance_f32::pTwiddleBReal

points to the imag twiddle factor table.

Referenced by arm_rfft_f32(), and arm_rfft_init_f32().

uint32_t arm_rfft_instance_f32::twidCoefRModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Referenced by arm_rfft_f32(), and arm_rfft_init_f32().